"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNullOrUndefined = exports.isTruthy = exports.isString = exports.isRecord = void 0;
const isRecord = (value) => {
    return (Object.prototype.toString.call(value) === '[object Object]' &&
        !Object.is(value, null));
};
exports.isRecord = isRecord;
const isTruthy = (value) => {
    if (typeof value === 'string') {
        return value !== '';
    }
    else if (typeof value === 'number') {
        return value !== 0;
    }
    else if (typeof value === 'boolean') {
        return value;
    }
    else if (Array.isArray(value)) {
        return value.length > 0;
    }
    else if (isRecord(value)) {
        return Object.keys(value).length > 0;
    }
    else {
        return false;
    }
};
exports.isTruthy = isTruthy;
const isNullOrUndefined = (value) => {
    return Object.is(value, null) || Object.is(value, undefined);
};
exports.isNullOrUndefined = isNullOrUndefined;
const isString = (value) => {
    return typeof value === 'string';
};
exports.isString = isString;
